import { buildUseVueMutation } from "../../../../vue-query";
import { createCreateClient, createUpdateClient, createUpgradeClient, createSubmitMisbehaviour, createRecoverClient, createIBCSoftwareUpgrade, createUpdateClientParams } from "./tx.rpc.func";
export const useCreateClient = buildUseVueMutation({
    builderMutationFn: createCreateClient
});
export const useUpdateClient = buildUseVueMutation({
    builderMutationFn: createUpdateClient
});
export const useUpgradeClient = buildUseVueMutation({
    builderMutationFn: createUpgradeClient
});
export const useSubmitMisbehaviour = buildUseVueMutation({
    builderMutationFn: createSubmitMisbehaviour
});
export const useRecoverClient = buildUseVueMutation({
    builderMutationFn: createRecoverClient
});
export const useIBCSoftwareUpgrade = buildUseVueMutation({
    builderMutationFn: createIBCSoftwareUpgrade
});
export const useUpdateClientParams = buildUseVueMutation({
    builderMutationFn: createUpdateClientParams
});
